%global debug_package %nil

Name:		expected-lite
Summary:	expected objects for C++11 and later
Version:	0.8.0
Release:	%mkrel 2
License:	BSL-1.0
Group:		Development/Other
Url:		https://github.com/martinmoene/expected-lite
Source0:	https://github.com/martinmoene/expected-lite/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
Provides:	expected-lite-devel%{?_isa} = %{version}-%{release}
Provides:       expected-lite-devel = %{version}-%{release}

%description
expected lite is a single-file header-only library for objects that either
represent a valid value or an error that you can pass by value. It is intended
for use with C++11 and later.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%dir %{_includedir}/nonstd/
%{_includedir}/nonstd/*
%{_libdir}/cmake/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.8.0-2.mga10
+ Revision: 2228546
- Mageia 10 Mass Rebuild

* Fri Oct 04 2024 wally <wally> 0.8.0-1.mga10
+ Revision: 2103238
- imported package expected-lite

